summaryrefslogtreecommitdiff
path: root/tests/tests/push-buildproductsdir
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2014-01-19 00:16:38 +0000
committerIan Jackson <ijackson@chiark.greenend.org.uk>2014-01-19 00:16:38 +0000
commit95cce6041df774f7909b28c110417881f1d4792a (patch)
tree6e74352fc943ca7f517093a9ccc1fbdbdc260557 /tests/tests/push-buildproductsdir
parent6ac74a9d56fdc86b30c4e7940734cd95be6840c4 (diff)
Provide --build-products-dir option (and corresponding semantics for -C) to specify where to find the files to upload. Closes:#731633.
Diffstat (limited to 'tests/tests/push-buildproductsdir')
-rwxr-xr-xtests/tests/push-buildproductsdir31
1 files changed, 31 insertions, 0 deletions
diff --git a/tests/tests/push-buildproductsdir b/tests/tests/push-buildproductsdir
new file mode 100755
index 0000000..987c081
--- /dev/null
+++ b/tests/tests/push-buildproductsdir
@@ -0,0 +1,31 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-archive pari-extra 3-1
+t-git pari-extra 3-1
+
+t-dgit clone $p
+
+cd $p
+t-cloned-fetched-good
+
+v=3-2~dummy1
+t-apply-diff 3-1 $v
+debcommit -a
+
+t-refs-same-start
+t-ref-head
+
+t-dgit --dpkg-buildpackage:-d build
+
+cd ..
+mkdir bpd
+mv $p*_* bpd/
+cd $p
+
+t-dgit --build-products-dir=../bpd push
+
+t-pushed-good dgit/sid
+
+echo ok.